package com.realnet.notes_taking_app_20250925_095530-b.Services;
import com.realnet.notes_taking_app_20250925_095530-b.Repository.NoteRepository;
import com.realnet.notes_taking_app_20250925_095530-b.Entity.Note
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;




	import org.springframework.stereotype.Service;

@Service
 public class NoteService {
@Autowired
private NoteRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



public Note Savedata(Note data) {




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Note save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Note> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Note> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Note> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Note getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Note update(Note data,Integer id) {
	Note old = Repository.findById(id).get();
old.setTitle(data.getTitle());

old.setContent(data.getContent());

final Note test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 




 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
